### FBC_PACKAGE\MATLAB_SBML_STRUCTURES\FBCSPECIES

The functions allow users to create and work with the FBC elements and attributes of an SBML FBC Species structure.

Function are:

#### FBCSpecies = FBCSpecies_create(level, version, pkgVersion)

Takes

1. level, an integer representing an SBML level
2. version, an integer representing an SBML version
3. pkgVersion, an integer representing an SBML package version

Returns

1. a MATLAB_SBML FBC FBCSpecies structure of the appropriate level, version and pkgVersion

#### charge = FBCSpecies_getCharge(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. the value of the fbc_charge attribute

#### chemicalFormula = FBCSpecies_getChemicalFormula(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. the value of the fbc_chemicalFormula attribute

#### charge = FBCSpecies_isSetCharge(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. value =
   - 1 if the fbc_charge attribute is set
   - 0 otherwise

#### chemicalFormula = FBCSpecies_isSetChemicalFormula(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. value =
   - 1 if the fbc_chemicalFormula attribute is set
   - 0 otherwise

#### SBMLFBCSpecies = FBCSpecies_setCharge(SBMLFBCSpecies, charge)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure
2. charge, a number representing the fbc_charge to be set

Returns

1. the SBML FBC FBCSpecies structure with the new value for the fbc_charge attribute

#### SBMLFBCSpecies = FBCSpecies_setChemicalFormula(SBMLFBCSpecies, chemicalFormula)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure
2. chemicalFormula, a string representing the fbc_chemicalFormula to be set

Returns

1. the SBML FBC FBCSpecies structure with the new value for the fbc_chemicalFormula attribute

#### SBMLFBCSpecies = FBCSpecies_unsetCharge(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. the SBML FBC FBCSpecies structure with the fbc_charge attribute unset

#### SBMLFBCSpecies = FBCSpecies_unsetChemicalFormula(SBMLFBCSpecies)

Takes

1. SBMLFBCSpecies, an SBML FBCSpecies structure

Returns

1. the SBML FBC FBCSpecies structure with the fbc_chemicalFormula attribute unset